Bug 448531 - Review Request: pyrenamer - A mass file renamer written in PyGTK
Review Request: pyrenamer - A mass file renamer written in PyGTK
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 340011 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 10:01 EDT by Jean-François Martin
Modified: 2008-06-12 22:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.0-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jean-François Martin 2008-05-27 10:01:47 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/pyrenamer.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/pyrenamer-0.5.0-1.fc9.src.rpm
Description:  With pyRenamer you can change the name of several files at the same time easily.
Comment 1 Jean-François Martin 2008-05-27 10:03:10 EDT
*** Bug 340011 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2008-05-27 12:41:52 EDT
Do you in need of a sponsor?

By the way your package does not build on dist-f10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=630509
Comment 3 Jean-François Martin 2008-05-27 15:08:51 EDT
No, i don't to be sponsored (cvsextras approved)

Spec URL: http://lokthare.fedorapeople.org/temp/pyrenamer.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/pyrenamer-0.5.0-2.fc9.src.rpm
* Fix BR: Add perl(XML::Parser).
Comment 4 Mamoru TASAKA 2008-05-28 11:00:04 EDT
For 0.5.0-2

* BuildRequires
  - "python-eyed3" seems needed also for BuildRequires.
  ! build.log shows (from following)
    http://koji.fedoraproject.org/koji/taskinfo?taskID=632906
--------------------------------------------------------
   177  checking for eyeD3 module... 
   178  no
   179  configure: WARNING: eyeD3 not found, rename music disabled!
--------------------------------------------------------
     This affects HAVE_EYED3 macro in configure{,.ac} then
     src/pyrenamer_globals.py.in. Actually the installed
     pyrenamer/pyrenamer_globals.py has:
--------------------------------------------------------
    26  have_eyed3=False
--------------------------------------------------------

* spec file convention
  - Please write in the order:
--------------------------------------------------------
%prep
%build
%install
%clean

%pre (%post, etc)

%files
--------------------------------------------------------
    i.e. Please don't write scriptlets between %prep and %build
         so that we can read your spec file easily.
Comment 5 Jean-François Martin 2008-05-28 16:58:47 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/pyrenamer.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/pyrenamer-0.5.0-3.fc9.src.rpm
- Fix BR: Add python-eyed3
- Reorder to match spec file convention
Comment 6 Mamoru TASAKA 2008-05-29 03:42:50 EDT
Okay, perhaps this is the final check.

For 0.5.0-3:
* python module dependency
----------------------------------------------------------
# grep -h 'import ' `rpm -ql pyrenamer 2>/dev/null | grep -v /usr/shre/doc` |
sed -e 's|^[ \t][ \t]*||' | sort | uniq
from gettext import gettext as _
from gettext import gettext as _  
from os import path as ospath
from os.path import isfile
from pyrenamer import pyrenamer
from pyrenamer import treefilebrowser
import EXIF
import TreeViewTooltips as tvt
import dircache
import eyeD3
import gconf
import getopt
import gettext
import glob
import gobject
import gtk
import gtk.gdk
import gtk.glade
import locale
import os
import pygtk
import pyrenamer_globals
import pyrenamer_globals as pyrenamerglob
import pyrenamerfilefuncs as renamerfilefuncs
import re
import sys
import threading
import time
import tooltips
import treefilebrowser
import user
import warnings
import webbrowser
----------------------------------------------------------
  - It seems the following is missing from Requires (please check!!)
----------------------------------------------------------
gnome-python2-gconf
pygtk2-libglade
----------------------------------------------------------
Comment 7 Jean-François Martin 2008-05-30 08:09:43 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/pyrenamer.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/pyrenamer-0.5.0-4.fc9.src.rpm
- Fix Requires : Add gnome-python2-gconf and pygtk2-libglade
Comment 8 Mamoru TASAKA 2008-05-30 09:21:16 EDT
Okay.

--------------------------------------------------------
   This package (pyrenamer) is APPROVED by me
--------------------------------------------------------

Please follow
http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess
from step 7.
Comment 9 Jean-François Martin 2008-05-30 10:39:34 EDT
New Package CVS Request
=======================
Package Name: pyrenamer
Short Description: A mass file renamer written in PyGTK
Owners: lokthare
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-05-30 16:13:15 EDT
cvs done.
Comment 11 Fedora Update System 2008-05-30 17:56:33 EDT
pyrenamer-0.5.0-4.fc9 has been submitted as an update for Fedora 9
Comment 12 Fedora Update System 2008-06-12 22:22:35 EDT
pyrenamer-0.5.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.